Properties Methods Events Config Options Direct Link

# Class Ext.Shadow

Package: | Ext
Defined In: | Shadow.js
Class: | Shadow
Extends: | Object

Simple class that can provide a shadow effect for any element. Note that the element MUST be absolutely positioned, and the shadow does not provide any shimming. This should be used only in simple cases -- for more advanced functionality that can also provide the same shadow effect, see the Ext.Layer class.

## Config Options

Config Options | Defined By
--- | ---

mode : String
The shadow display mode. Supports the following options:<div class="mdetail-params"> sides : Shadow displays on both...
The shadow display mode. Supports the following options:

- `sides` : Shadow displays on both sides and bottom only
- `frame` : Shadow displays equally on all four sides
- `drop` : Traditional bottom-right drop shadow

Shadow

| offset : String The number of pixels to offset the shadow from the element (defaults to `4`) | Shadow

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

Shadow( `Object config` )
Create a new Shadow
Create a new Shadow
Parameters:

- `config` : Object
  The config object

Returns:

- void

Shadow

hide() : void
Hides this shadow
Hides this shadow
Parameters:

- None.

Returns:

- void

Shadow

isVisible() : void
Returns true if the shadow is visible, else false
Returns true if the shadow is visible, else false
Parameters:

- None.

Returns:

- void

Shadow

realign( `Number left`, `Number top`, `Number width`, `Number height` ) : void
Direct alignment when values are already available. Show must be called at least once before calling this method to e...
Direct alignment when values are already available. Show must be called at least once before calling this method to ensure it is initialized.
Parameters:

- `left` : Number
  The target element left position
- `top` : Number
  The target element top position
- `width` : Number
  The target element width
- `height` : Number
  The target element height

Returns:

- void

Shadow

setZIndex( `Number zindex` ) : void
Adjust the z-index of this shadow
Adjust the z-index of this shadow
Parameters:

- `zindex` : Number
  The new z-index

Returns:

- void

Shadow

show( `Mixed targetEl` ) : void
Displays the shadow under the target element
Displays the shadow under the target element
Parameters:

- `targetEl` : Mixed
  The id or element under which the shadow should display

Returns:

- void

Shadow

## Public Events

This class has no public events.